Bug 54425 - kernel-2.4.9-0.20.2 - silent death
kernel-2.4.9-0.20.2 - silent death
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-07 14:51 EDT by Michal Jaegermann
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-10-07 14:51:36 EDT
Description of Problem:

An older machine with a K6 processor and 2.4.9-0.20.2 installed
died quietly last nigth without leaving any traces in log files.
Outwardly nothing was amiss only neither keyboard nor mouse were
responsive and a machine was also not accessible over a network
(save 'ping').  No traces of a crash of any sort in log files
after a reboot.  Manual rerunning /etc/cron.daily/slocate script
finished without any incidents.

Comparing time stamps on various log files indicates that a machine
died running 'slocate' job from cron.  Another box (Athlon) with
2.4.9-0.20.2 survived the same night so far.  On a kernel level
differences are that Athlon is running "athlon" variant and the
one which died is "i386".

Here is an output from /proc/cpuinfo:
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 5
model		: 6
model name	: AMD-K6tm w/ multimedia extensions
stepping	: 2
cpu MHz		: 233.866
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr mce cx8 mmx
bogomips	: 466.94

This box has 64 MB of a physical memory and over 160 MB of swap.
Comment 1 Arjan van de Ven 2001-10-08 04:21:06 EDT
Could you boot the kernel with "nmi_watchdog=1" on the kernel commandline 

append="nmi_watchdog=1"
 in lilo or just add it to the kernel line in grub

That will (hopefully) create an oops in such a "stuck" situation, so that we can
see WHERE it gets stuck.
Comment 2 Michal Jaegermann 2001-10-08 12:46:15 EDT
> Could you boot the kernel with "nmi_watchdog=1" ...

I did; but the box survived the last night without any incidents.
I have also now a "magic sysrq" on.

X server (XFree86-S3V-3.3.6-42 because XFree86-4.1.0-3 does not work
too well with this video card) is able to lock up the whole thing
(nice colour vertical stripes all over and a dead box) but these are
likely old hardware bugs in S3.  Maybe 'no_pci_disconnect' will help.
Comment 3 Bugzilla owner 2004-09-30 11:39:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.